Debian Bug report logs - #686266
parrot: FTBFS on hurd-i386

version graph

Package: src:parrot; Maintainer for src:parrot is Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>;

Reported by: Svante Signell <svante.signell@telia.com>

Date: Thu, 30 Aug 2012 18:45:01 UTC

Severity: important

Tags: fixed-upstream, patch

Found in version parrot/4.3.0-2

Fixed in version parrot/4.6.0-1

Done: Alessandro Ghedini <ghedo@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/parrot/parrot/pull/822

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>:
Bug#686266; Package src:parrot. (Thu, 30 Aug 2012 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>. (Thu, 30 Aug 2012 18:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: parrot: FTBFS on hurd-i386
Date: Thu, 30 Aug 2012 20:41:02 +0200
Source: parrot
Version: 4.3.0-2
Severity: important
Tags: patch
Usertags: hurd
User: debian-hurd@lists.debian.org

Hello, the patch inlined below enables a successful build of parrot for
GNU/Hurd. The patch use the same settings as for GNU/Linux (and
GNU/kFreeBSD).

Thanks!

--- a/config/init/hints.pm      2012-08-30 20:18:57.000000000 +0200
+++ b/config/init/hints.pm      2012-08-30 19:58:12.000000000 +0200
@@ -37,6 +37,7 @@
 
     my $osname = lc( $conf->data->get('OSNAME_provisional') );
     $osname = 'linux' if ($osname eq 'gnukfreebsd');
+    $osname = 'linux' if ($osname eq 'gnu');
 
     my $hints_file_name = $conf->options->get('hintsfile') || $osname ;
     $hints_file = catfile('config', 'init', 'hints',
"$hints_file_name.pm");




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>:
Bug#686266; Package src:parrot. (Fri, 31 Aug 2012 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>. (Fri, 31 Aug 2012 11:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 686266@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: Svante Signell <svante.signell@telia.com>, 686266@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-parrot-devel] Bug#686266: parrot: FTBFS on hurd-i386
Date: Fri, 31 Aug 2012 13:17:44 +0200
[Message part 1 (text/plain, inline)]
tags 686266 pending
forwarded 686266 https://github.com/parrot/parrot/pull/822
kthxbye

On Thu, Aug 30, 2012 at 08:41:02PM +0200, Svante Signell wrote:
> Source: parrot
> Version: 4.3.0-2
> Severity: important
> Tags: patch
> Usertags: hurd
> User: debian-hurd@lists.debian.org
> 
> Hello, the patch inlined below enables a successful build of parrot for
> GNU/Hurd. The patch use the same settings as for GNU/Linux (and
> GNU/kFreeBSD).
> 
> Thanks!
> 
> --- a/config/init/hints.pm      2012-08-30 20:18:57.000000000 +0200
> +++ b/config/init/hints.pm      2012-08-30 19:58:12.000000000 +0200
> @@ -37,6 +37,7 @@
>  
>      my $osname = lc( $conf->data->get('OSNAME_provisional') );
>      $osname = 'linux' if ($osname eq 'gnukfreebsd');
> +    $osname = 'linux' if ($osname eq 'gnu');
>  
>      my $hints_file_name = $conf->options->get('hintsfile') || $osname ;
>      $hints_file = catfile('config', 'init', 'hints',
> "$hints_file_name.pm");

Looks good. Thanks.

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Fri, 31 Aug 2012 11:21:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/parrot/parrot/pull/822'. Request was from Alessandro Ghedini <al3xbio@gmail.com> to control@bugs.debian.org. (Fri, 31 Aug 2012 11:21:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Mon, 03 Sep 2012 12:42:06 GMT) Full text and rfc822 format available.

Reply sent to Alessandro Ghedini <ghedo@debian.org>:
You have taken responsibility. (Sat, 20 Oct 2012 10:03:14 GMT) Full text and rfc822 format available.

Notification sent to Svante Signell <svante.signell@telia.com>:
Bug acknowledged by developer. (Sat, 20 Oct 2012 10:03:14 GMT) Full text and rfc822 format available.

Message #21 received at 686266-close@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <ghedo@debian.org>
To: 686266-close@bugs.debian.org
Subject: Bug#686266: fixed in parrot 4.6.0-1
Date: Sat, 20 Oct 2012 10:00:13 +0000
Source: parrot
Source-Version: 4.6.0-1

We believe that the bug you reported is fixed in the latest version of
parrot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686266@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessandro Ghedini <ghedo@debian.org> (supplier of updated parrot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Oct 2012 14:33:28 +0200
Source: parrot
Binary: parrot parrot-minimal libparrot4.6.0 libparrot-dev parrot-doc parrot-devel
Architecture: source all amd64
Version: 4.6.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
Changed-By: Alessandro Ghedini <ghedo@debian.org>
Description: 
 libparrot-dev - Parrot shared library development files
 libparrot4.6.0 - Parrot shared library
 parrot     - virtual machine for dynamic languages
 parrot-devel - Parrot development tools
 parrot-doc - Parrot documentation
 parrot-minimal - minimal install of the Parrot VM
Closes: 686266
Changes: 
 parrot (4.6.0-1) unstable; urgency=low
 .
   * New upstream release
   * Revert "Add patch to fix ia64 ftbs (hopefully)" since it didn't work
   * Add 04_fix_hurd_ftbfs.patch to fix build on hurd-i386.
     Thanks to Svante Signell (Closes: #686266)
   * Drop 01_use_icu-config_ldflags-libsonly.patch (merged upstream)
   * Generate binaries manpages from docs/binaries/ directory
   * Bump Standards-Version to 3.9.4 (no changes needed)
   * Add myself and Dominique to Uploaders, remove Nuno and Patrick
Checksums-Sha1: 
 09324d399feed873f0a81cab1fee3c176ff9c7b5 2161 parrot_4.6.0-1.dsc
 b1fc84930d8974bd46d08e94b9c5850243e92e96 4528994 parrot_4.6.0.orig.tar.gz
 d9dce1ef991ffe93bea09cff868eab173a947246 12728 parrot_4.6.0-1.debian.tar.gz
 e725f8c8e5f5e372a073c43d88fc50975e7d8419 724974 parrot-doc_4.6.0-1_all.deb
 97eafdfa5c4ff29485a13f803ac48a7d148a5952 283860 parrot_4.6.0-1_amd64.deb
 a304b8da2731944911050ca40fcb845a96fb99cd 150136 parrot-minimal_4.6.0-1_amd64.deb
 eeb99d86ebaeab8dae9d1258dc1cbcc86d35974f 830828 libparrot4.6.0_4.6.0-1_amd64.deb
 ab50181e5a315e47a76711f6df8381ac0ba09956 1171088 libparrot-dev_4.6.0-1_amd64.deb
 e7ba98f0b5a52ca79260f8b9fa4e47f465a11f17 2071592 parrot-devel_4.6.0-1_amd64.deb
Checksums-Sha256: 
 f67326024fac9ce7a67bebf4a936f6ac06f75b0931123a2cc344e8a3c0c2dd4c 2161 parrot_4.6.0-1.dsc
 81b2962a8cfe96946417057073d1216ec0f431b863540fbed97b086109590892 4528994 parrot_4.6.0.orig.tar.gz
 14a67addd224bbfb64b91a4b8070c25fc6ef472cd97ae27816195b5d28d02102 12728 parrot_4.6.0-1.debian.tar.gz
 799c9dde04fb30cb17c83f50a840f9da8240a8ef691de154b9fc31b9062fd4f9 724974 parrot-doc_4.6.0-1_all.deb
 62e901d90648485dc9df4b1dc826c35a8aae7d5c46331414c66e00a211a1e156 283860 parrot_4.6.0-1_amd64.deb
 49a3ff3538179b1eb92fdbc97977452b096fb3dbe98f38f51d29cf3d9bbfc2a8 150136 parrot-minimal_4.6.0-1_amd64.deb
 6d2bd97e9d997019cbc123d822a5c3052998006f4fee2248c327c62f7a9f1d0a 830828 libparrot4.6.0_4.6.0-1_amd64.deb
 3c804e3f78b1928cf50510dc39641f90487e7f3e4feac92d59bbf52365395361 1171088 libparrot-dev_4.6.0-1_amd64.deb
 1e8bdb97f4a57886c9bbd8b14b663296a7200f4c06b53c568420b068910811d1 2071592 parrot-devel_4.6.0-1_amd64.deb
Files: 
 167746ea5dbc536bff357dee191616f2 2161 interpreters optional parrot_4.6.0-1.dsc
 7290c895cc59201a3a87b10ae15ead09 4528994 interpreters optional parrot_4.6.0.orig.tar.gz
 f75d0a16e26579df68ca96befc180237 12728 interpreters optional parrot_4.6.0-1.debian.tar.gz
 1fce0fb9ad0c7e5ed18f38545cf62d78 724974 doc optional parrot-doc_4.6.0-1_all.deb
 150ea660e76c6027aaf2aba64eb9b346 283860 interpreters optional parrot_4.6.0-1_amd64.deb
 c323856a569963a4950a52c530dcb650 150136 interpreters optional parrot-minimal_4.6.0-1_amd64.deb
 3421d126be45357445c9f1ad5b48679e 830828 libs optional libparrot4.6.0_4.6.0-1_amd64.deb
 68c968876d079fe8d27c06382b6ddddd 1171088 libdevel optional libparrot-dev_4.6.0-1_amd64.deb
 92bc1a38ddd1a455ba330c00d4b8567e 2071592 devel optional parrot-devel_4.6.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQfVXlAAoJEK+lG9bN5XPL16MQAJsaa5PMIw8ojeoVx6L8bqCd
qVvCGsMKQmwd/bGrB4mkX/p3BLgRWfdyXH1DlHNL2gmN6ZL5yOmbxkz/qq0+1Pkz
JcEcs/T4LpxtimAeHrKqlGUn2dYmHRJPwGvDxbCsefVsy3VYI30XDfq9vvEN0jAl
FM8GUsaxv3Xc6FpswCn7YV9GGakKBFgAT4VPNsGteZzbuaNxEayh3pJY5HwGFKed
2BXuUpQeK7vjDTHUTPYldeWqSOd369xrPNRqyfLe9k5Gl2Y2bu5IpY300Q4TT7X7
RnOHNa4EKkztuVfYSsAzy4qlBqUZiNWjtbjxp2oTpvXQdhY56V8+jmcWIhD6dO2R
1fjm8MNh+Hnf9T/ZnZ4ludtL77qYsNxHXnQxMQdhjFIvJsFrFzRgFRsxjGLBsawk
KxpI8f7462g2EKTGcDLu9IHGPgvIPKcRYwJ1YRzjnB3u35yDFm+BeMnVXS6JnArW
Q5SDiud+X6GKE+Z7g67oMVQmZ8A+G5YvvHmnLy5A+7pIeLqb65wnDc6KwmSJpGla
rEWofgH9R7vFXiyW7t4xTWI7l3FoFnlesXonP6fGQvuT6ArZLGVmLul92aqKlwNR
TURWa3eKmvRnUF53U3T1vnRctw7Inz+CX35XxlPwNUwbWfDw0sNCEMUvhuf5QIMM
qPl/oviL+8w4NIX+Rq9e
=Q61F
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Nov 2012 07:27:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:31:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.